statsmodels (0.14.4+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:15:03 +0000

statsmodels (0.14.4+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 20:17:33 +0000

statsmodels (0.14.4+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:54:11 +0100

statsmodels (0.14.4+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Oct 2024 11:43:25 +0100

statsmodels (0.14.3+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 12:58:14 +0100

statsmodels (0.14.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore TestZeroInflatedModel_probit.test_fit_regularized
    non-convergence. (Closes: #1079789)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 01 Sep 2024 11:18:24 +0100

statsmodels (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1056891)
  * Refresh patches, d/copyright, dependencies.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Tests: increase i386 TestMixedLM.test_compare_numdiff tolerance,
    remove no longer needed check script.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 20:55:32 +0100

statsmodels (0.14.1+dfsg-2) unstable; urgency=medium

  * Tests: ignore DynamicFactorMQ exception on big-endian systems.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 09:38:29 +0000

statsmodels (0.14.1+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop patch no longer needed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Jan 2024 13:41:10 +0000

statsmodels (0.14.0+dfsg-6) unstable; urgency=medium

  * Fix another issue with Cython 3.0.  As one still remains,
    use cython3-legacy (workaround for #1056891).
  * Tests: properly ignore i386 nonconvergence.
  * Docs reproducibility: fix another random seed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Dec 2023 20:07:17 +0000

statsmodels (0.14.0+dfsg-5) unstable; urgency=medium

  * Allow building with Cython 3.0 (Closes: LP: #2043284) and cp 9.2.
  * Docs reproducibility: strip object addresses, fix random seeds.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 11 Nov 2023 20:34:28 +0000

statsmodels (0.14.0+dfsg-4) unstable; urgency=medium

  * clean: remove all generated files. (Closes: #1047280)
  * Stop build-depending on python3-setuptools-scm-git-archive.
    (Closes: #1050104)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 19 Aug 2023 21:59:16 +0100

statsmodels (0.14.0+dfsg-3) unstable; urgency=medium

  * Tests: fix bugs in the preceding exclusions.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Aug 2023 18:42:09 +0100

statsmodels (0.14.0+dfsg-2) unstable; urgency=medium

  * Tests: ignore out-of-memory error.
  * Tests: ignore armel's lack of division-by-0 warnings and
    corr_nearest_factor non-convergence, but not all the armel tests.
  * Tests: ignore mips*'s extra multiply-by-NaN warnings.
  * Tests: ignore i386 probable rounding/instability/overflow issues.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Aug 2023 22:28:34 +0100

statsmodels (0.14.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, d/copyright.
  * Upload to experimental, as of unknown compatibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 23 Jul 2023 12:01:09 +0100

statsmodels (0.13.5+dfsg-7) unstable; urgency=medium

  * Tests: relax a tolerance to avoid randomly failing on s390x.
  * Docs: fix broken link.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 14 Feb 2023 22:28:59 +0000

statsmodels (0.13.5+dfsg-6) unstable; urgency=medium

  * Tests: ignore a non-convergence on mipsel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 04 Feb 2023 20:49:19 +0000

statsmodels (0.13.5+dfsg-5) unstable; urgency=medium

  * Tests: don't crash on 32-bit systems.  (Closes: #1030208)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 01 Feb 2023 21:31:58 +0000

statsmodels (0.13.5+dfsg-4) unstable; urgency=medium

  * Tests: fix missing import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 23:51:04 +0000

statsmodels (0.13.5+dfsg-3) unstable; urgency=medium

  * Tests: depend on jinja2, reduce random failures,
    ignore a non-warning on mips*.
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 19:32:55 +0000

statsmodels (0.13.5+dfsg-2) unstable; urgency=medium

  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027537)
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Jan 2023 20:34:52 +0000

statsmodels (0.13.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches, d/copyright.
  * Update Build-Depends.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Tests: remove xfails that appear to no longer be needed.
  * Tests: loosen tolerance on TestDynamicFactor_ar2_errors as it
    appears to be unstable.  (Closes: #1020060, #1014278)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:29:37 +0000

statsmodels (0.13.2+dfsg-4) unstable; urgency=medium

  * Tests: increase one error tolerance.  (Closes: #1014884)
  * Update Lintian override format (see #1007002).
  * Remove no longer needed Lintian / Salsa CI overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 24 Jul 2022 17:51:07 +0100

statsmodels (0.13.2+dfsg-3) unstable; urgency=medium

  * Add s390x to DynamicFactor warning/xfail (workaround for #1014278).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Jul 2022 11:15:30 +0100

statsmodels (0.13.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore a probable rounding issue.  (Closes: #1008301)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Mar 2022 12:20:47 +0100

statsmodels (0.13.2+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches.
  * Enable Salsa CI.
  * Warn that ETSModel may give wrong results on 32-bit and xfail test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Feb 2022 20:03:58 +0000

statsmodels (0.13.1+dfsg-5) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on armel (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Feb 2022 19:08:08 +0000

statsmodels (0.13.1+dfsg-4) unstable; urgency=medium

  * Warn that DynamicFactor may give wrong results on armhf
    and xfail tests.
  * Update Lintian overrides.
  * Fix pyversions call.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Feb 2022 17:46:33 +0000

statsmodels (0.13.1+dfsg-3) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on mips64el,
    and not on armel (see #968210).
  * Remove obsolete rules code and nose test-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 17 Dec 2021 22:32:59 +0000

statsmodels (0.13.1+dfsg-2) unstable; urgency=medium

  * Docs: use *_path and symlinks for local JavaScript,
    instead of (broken by CORS) sed replacements.
  * Xfail another possible rounding issue on i386.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 22:05:33 +0000

statsmodels (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update watch file.
  * Update d/copyright, exclude possibly illegal data file.
  * Xfail some probable rounding issues.  Closes: #997081.
  * Docs: update MathJax URL replacement.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Nov 2021 16:30:27 +0000

statsmodels (0.12.2-2) unstable; urgency=medium

  * Fix test failures with scipy 1.7.  Closes: #992681.
  * README.source: update upstream branch name.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 29 Aug 2021 20:09:28 +0100

statsmodels (0.12.2-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches.
  * Don't use the multiarch path for architecture detection.  Closes: #973854.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 06 Feb 2021 16:48:16 +0000

statsmodels (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scipy_1.6_test_bytestring.patch uses string rather
    than bytes in expected message with scipy 1.6 in test_arma_kwargs
    (test_gls.py)
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 01:02:15 +1100

statsmodels (0.12.1-1) unstable; urgency=medium

  * Upstream bugfix release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Nov 2020 07:28:38 +0000

statsmodels (0.12.0-2) unstable; urgency=medium

  * Loosen some test tolerances on i386.
  * Require scipy >= 1.5 to avoid autopkgtest failure.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Sep 2020 07:24:40 +0100

statsmodels (0.12.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update d/copyright.
  * Stop using pytest-forked everywhere: it doesn't fully
    handle conditional xfails.
  * Skip slow autopkgtests on non-amd64.
  * On armel, warn on import and ignore all tests (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Sep 2020 18:35:08 +0100

statsmodels (0.11.1-5) unstable; urgency=medium

  * Ignore test failures on arm* (see #968210).
  * Use pytest-forked in case there are more crashing tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 19:00:44 +0100

statsmodels (0.11.1-4) unstable; urgency=medium

  * Tests: ignore changes due to matplotlib 3.3 and scipy 1.5.
    Closes: #966712.
  * Bump debhelper compat to 13.
  * Override Lintian warning from test references.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Aug 2020 22:12:11 +0100

statsmodels (0.11.1-3) unstable; urgency=medium

  * Tests: ignore harmless new warnings.  Closes: #964700.
  * Add matplotlib etc to autopkgtest Depends to skip fewer tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 10 Jul 2020 06:46:36 +0100

statsmodels (0.11.1-2) unstable; urgency=medium

  * Tests: don't require a numpy warning that doesn't exist on armel.
    Closes: #956882.
  * Tests: allow no-multiprocessing failures (hurd-i386).
  * Remove inconveniently licensed (CC-BY-SA) snippet.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 24 Apr 2020 15:17:04 +0100

statsmodels (0.11.1-1) unstable; urgency=medium

  * Upstream bugfix release.
  * Drop patches applied upstream, refresh others.
  * Don't require a warning scipy only produces on some architectures.
  * Warn that Markov(Auto)regression can give wrong answers on armhf
    and DynamicFactor on ppc64el, and xfail tests.
  * Upload to unstable.  Closes: #950429.
  * Re-enable checking the test suite.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 24 Feb 2020 22:49:06 +0000

statsmodels (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this is an API break (see #950429).
  * Drop patches applied upstream, refresh others.
  * Update and sort dependencies.
  * Docs: use nature theme because we don't have sphinx_material,
    remove obsolete GLMNotes,
    don't skip unrunnable examples.
  * Update and sort d/copyright.
  * Fix some test failures (that were not real problems).
  * Use local requirejs.
  * Fix spelling and whitespace.
  * Reproducibility: remove more build paths.
  * Loosen tolerance on another flaky test.
  * Temporarily ignore the test suite to get a first build.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 02 Feb 2020 21:51:06 +0000

statsmodels (0.10.2-2) unstable; urgency=medium

  * Docs: don't fail the build on no-network exceptions.  Closes: #950087.
  * Remove #945501 cleanup code: not worth the risk in (future) stable.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Include offset and exposure in GEE fittedvalues (upstream bug 5253).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2020 22:29:29 +0000

statsmodels (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, refresh others.
  * Use symlink_to_dir for documentation move,
    and clean up old files.  Closes: #945501.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 03 Dec 2019 21:23:04 +0000

statsmodels (0.10.1-5) unstable; urgency=medium

  * No-change upload to unstable.  Closes: #934870, #931540.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Nov 2019 16:32:41 +0000

statsmodels (0.10.1-4) experimental; urgency=medium

  * Xfail another actual failure
    and a few other similar tests as #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 22:31:23 +0000

statsmodels (0.10.1-3) experimental; urgency=medium

  * Xfail another (intermittent?) instance of #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 09:51:35 +0000

statsmodels (0.10.1-2) experimental; urgency=medium

  * Fail the build on test failures.
  * Xfail or loosen tolerances on some tests.
    Together, the above Closes: #944054.
  * Use correct Python version for test_lazy_imports.
  * Xfail more tests affected by #924036.
  * Documentation build: fix errors loading pre-cached data,
    load autosummary.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Nov 2019 22:27:02 +0000

statsmodels (0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this might be an API break
    (see #931540).
  * Simplify gbp.conf, import both tarball and upstream git,
    and document this in README.source.
  * Drop patches no longer needed, refresh others.
  * Don't map r-cran-cardata to car: upstream now use the new name.
  * Drop Python 2 packages (see #934870).
  * Use Python 3 shebangs.
  * Don't use setup.py clean, as upstream have disabled it.
  * Use http(s)_proxy instead of a patch to block test downloads.
  * Run build-time tests with the paths they expect.
  * Update d/copyright.
  * Don't install setup.cfg.
  * Don't write to the source tree during tests.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Reproducibility: fix date replacement bug, use UTC time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Nov 2019 16:56:50 +0000

statsmodels (0.9.0-6) unstable; urgency=medium

  * Don't change global pickle settings,
    as this can break unrelated code.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 20 Sep 2019 19:23:49 +0100

statsmodels (0.9.0-5) unstable; urgency=medium

  * Update import paths to be compatible with scipy 1.3.
  * Xfail another KalmanFilter test on armhf (#924036).
  * Mark -lib packages Multi-Arch: same.
  * Delete unused patches, document patches upstream status.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 15 Sep 2019 21:50:15 +0100

statsmodels (0.9.0-4) experimental; urgency=medium

  * Loosen singularity detection threshold of VAR model.
  * Make KalmanFilter warning (#924036) work on multiarch arm64/armhf
    and xfail some more related tests.
  * Adapt TestLagmat.test_unknown_trim to work with newer numpy.
  * Loosen TestMultivariateVARUnivariate tolerances on i386.
  * Xfail TestHoltWinters.test_forecast (like upstream).
    Together, the above Closes: #938949.
  * Use Breaks+Replaces for examples move to -doc.  Closes: #938995.
  * Remove no longer needed s390x xfails/warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 14 Sep 2019 10:38:33 +0100

statsmodels (0.9.0-3) experimental; urgency=medium

  * Upload to experimental, as 0.9 is an API break (see #931540).
  * Merge 0.8.0-9 packaging into 0.9.  Drop patches no longer needed,
    refresh others.
  * Revert "Disable KalmanFilter on armhf" as it never actually
    worked (see #924036 / LP#1819227).  Instead,
    warn on use and xfail the tests.
  * Add self to Uploaders.
  * Tests now use pytest: add build-dependencies, adapt autopkgtest.
  * Remove test skips that are no longer needed.
  * Change s390x test skips to xfails (to check whether they are
    still needed), and warn if l1_cvxopt_cp is used on s390x.
  * Fix issues due to newer versions of dependencies:
    - AnovaRM column order
    - various issues within test code
  * Fix midrule bug in LaTeX summary output.
  * Clean up stray whitespace.
  * Fix typos.
  * Clarify -lib description.
  * Use https in links, and update Homepage.
  * Update and sort d/copyright.
  * Bump Standards-Version to 4.4.0 (no changes needed).
  * Give a more useful error if cvxopt is not available.
  * Use debhelper-compat.
  * Move examples to the -doc package.
  * Remove obsolete symlink, add symlinks to ease finding docs.
  * Strip timestamps and build paths for reproducibility.
  * Deduplicate documentation images.
  * Fix/improve nocheck/nodoc dependency marking.
  * Categorize build-dependencies.
  * Make -doc Suggest the Python 3 version.
  * Run the R-using examples.
  * Use data from R packages for building examples, instead of
    embedding a copy.  Modify one example to not need r-cran-count.
  * Set Rules-Requires-Root: no.
  * Remove outdated cythonized-files.
  * Don't use pickle for get_rdataset caching, as it is a security hole
    if the cache is shared.  (This invalidates existing cached data;
    it will automatically be re-downloaded if needed.)
  * Warn that load_pickle is for trusted files only.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 30 Aug 2019 07:48:41 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-statsmodels-lib`.
